
/*for order recived page */
.ast-container{
    padding: 0px 20px !important;
    box-sizing: border-box;
}
/*End*/

.woocommerce-customer-details:has(.woocommerce-column.woocommerce-column--1.woocommerce-column--billing-address.col-1) {
    border: none !important;
    border-radius: 0px !important;
}

body.woocommerce-account 
.woocommerce-MyAccount-navigation
li.is-active {
    background-color: #D2F7EC !important;
}


body.woocommerce-account 
.woocommerce-MyAccount-navigation
li:not(.is-active):hover {
    background-color: #9CD4C2 !important;
    transition: background-color 0.3s ease;
}

body.woocommerce-account 
.woocommerce-MyAccount-navigation{
    border: 1px solid #e5e5e5 !important;
    border-radius: 10px;
    overflow: hidden;
    width: 20% !important;
}

body.woocommerce-account 
.woocommerce-MyAccount-navigation ul{
    padding: 0px !important;
}

body.woocommerce-account 
.woocommerce-MyAccount-navigation 
li a{
    border:none !important;
    padding: 0px !important;
    background-color: transparent !important;
    color: #000;
    font-weight: 500;
}

body.woocommerce-account 
.woocommerce-MyAccount-navigation 
li{
    border: none !important;
    border-bottom: 1px solid #e5e5e5 !important;
    padding: 10px 14px !important;
}

body.woocommerce-account 
.woocommerce-MyAccount-navigation 
li:last-child{
    border-bottom: none !important;
}

.woocommerce-account .woocommerce-orders-table thead{
    background-color: transparent !important;    
}

body.woocommerce-account 
.woocommerce-orders-table th,
.woocommerce-account 
.woocommerce-orders-table td,
.woocommerce-orders-table__row.woocommerce-orders-table__row--status-on-hold.order th

{
    border: 0 !important;
    border-bottom: 1px solid #CCCCCC !important;
}

 /*Remove bottom border from last row (tr) and its cells (td) */
 /*Remove bottom border from last row (th or td) */
body.woocommerce-account 
.woocommerce-orders-table tbody tr:last-child th,
body.woocommerce-account 
.woocommerce-orders-table tbody tr:last-child td {
    border-bottom: none !important;
}

body.woocommerce-account 
.woocommerce-orders-table {
    border: 1px solid #ccc;    
    border-radius: 10px !important;       
    overflow: hidden;          
}

.woocommerce-Address address {
    border-color: #CCCCCC !important;
    border-bottom-left-radius: 10px !important;
    border-bottom-right-radius: 10px !important;
}

.woocommerce-Address header {
    border-color: #CCCCCC !important;
    border-top-left-radius: 10px !important;
    border-top-right-radius: 10px !important;
}

.woocommerce input {
    border-radius: 10px !important;
    border-color: #CCCCCC !important;
}


/*Customization Start*/

/*Order Details*/
.woocommerce-order-details{
    border: 1px solid #ccc !important;
    padding: 30px 30px 0px 30px;
    border-radius: 10px !important;
    margin-bottom: 40px !important;
}

.woocommerce-order-details__title, .woocommerce-column__title{
    font-size: 22px !important;
    font-family: Eina01-SemiBold !important;
}

.woocommerce-table__product-table.product-total{
    font-size: 14px !important;
}

.woocommerce-table__product-name.product-name a,.product-quantity{
    font-size: 16px;
    font-family: Inter;
    font-weight: 400 !important;
}

.woocommerce-js table.shop_table tfoot th, td{
    border-top: 1px solid #cccccc !important;
    font-size: 14px !important;
    font-weight: 600 !important;
    border-right: none !important;
}

.woocommerce-js table.shop_table tfoot tr:last-child th,
.woocommerce-js table.shop_table tfoot tr:last-child td {
    border-bottom: 1px solid #cccccc !important;
}

.woocommerce-customer-details{
    border: 1px solid #cccccc !important;
    border-radius: 10px !important;
    overflow: hidden !important;
}

.woocommerce-table.woocommerce-table--order-details.shop_table.order_details{
    border: none !important;
}

.woocommerce-table__product-name.product-name,
.woocommerce-table__product-total.product-total{
    border-right: none !important;
    border-top: none !important;
}

 /*Address Edit*/
.woocommerce-column.woocommerce-column--1.woocommerce-column--billing-address.col-1,
.woocommerce-column.woocommerce-column--2.woocommerce-column--shipping-address.col-2
{
    border-radius: 10px !important;
    border: 1px solid #cccccc;
    overflow: hidden !important;
}

.woocommerce-column__title{
    border-top-left-radius: 10px !important;
    border-top-right-radius: 10px !important;
    border-bottom: 1px solid #cccccc !important;
}

.woocommerce-EditAccountForm.edit-account{
    border: 1px solid #cccccc;
    padding: 15px;
    border-radius: 10px;
}

.woocommerce-Address-title.title h2{
    font-size: 22px !important;
    font-family: Eina01-SemiBold !important;
    margin-bottom: 0px !important;
}

.woocommerce-Address-title.title, address{
    padding: 20px !important;
}

.woocommerce-MyAccount-content{
    width: 76% !important;
}

.woocommerce-MyAccount-content form{
    border: 1px solid #cccccc;
    padding: 15px;
    border-radius: 10px;
}

p:has(.woocommerce-Button.button) {
    margin-bottom: 0 !important;
}

.woocommerce-MyAccount-content .woocommerce-address-fields p{
    margin-top: 1em !important;
    margin-bottom: 0 !important;
}

.woocommerce-account .woocommerce-MyAccount-content fieldset{
    margin-top: 2em !important;
}

.woocommerce-form-row.woocommerce-form-row--last form-row.form-row-last{
    margin-bottom: 1em !important;
}

.woocommerce-form-row.woocommerce-form-row--wide.form-row.form-row-wide em{
    color: gray !important;
    font-size: 12px !important;
}

#billing_country_field .selection .select2-selection.select2-selection--single,
#billing_state_field .selection .select2-selection.select2-selection--single
{
    border: 1px solid #cccccc !important;
    border-radius: 10px !important;
}

#billing_country_field{
    padding-top: 1em !important;
}

#billing_address_2_field{
    margin-top: 4px !important;
}

.select2-search.select2-search--dropdown{
    display: none !important;
}

.select2-dropdown.select2-dropdown--below{
    border: 1px solid #cccccc !important;
}

legend{
    font-size: 30px !important;
    font-family: Eina02-Bold !important;
    line-height: 1.2 !important;
    border: none !important;
}


input:focus, input[type="text"]:focus{
    border: 1.5px solid #000 !important ;
}

.woocommerce-edit-account-title{
    font-weight: 500 !important;
}

/*for order received page*/
.woocommerce-order {
    max-width: 1280px !important;
    width: 100%;
    margin: 0 auto;
    /*padding: 40px 0px;*/
    /*box-sizing: border-box;*/
}

.woocommerce-order-overview.woocommerce-thankyou-order-details.order_details{
    display: flex;
    flex-wrap: wrap;
    row-gap: 15px;
    padding-left: 0 !important;
    box-sizing: border-box;
}

.woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received{
    font-size: 28px !important;
    padding-top: 40px;
}

@media(min-width: 1024px) and (max-width: 1199px){
    .ast-container{
        padding: 0px 20px !important; 
    }
}

/*Responsive*/
@media(min-width: 600px) and (max-width: 1024px){
    .ast-container{
        padding: 40px 20px !important; 
    }
     .woocommerce {
        display: flex;
        flex-direction: row !important;
        gap: 20px;
    }
    
    .woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-number{
        display: block !important;
    }
    
    body.woocommerce-account .woocommerce-MyAccount-navigation{
        border: none !important;
    }
    
    .woocommerce-MyAccount-navigation ul{
        border: 1px solid #cccccc !important;
        overflow: hidden;
        border-radius: 10px !important;
    }
    
    .woocommerce-orders-table.woocommerce-MyAccount-orders.shop_table.shop_table_responsive.my_account_orders.account-orders-table tbody{
        width: 100% !important;
        display: flex;
        flex-direction: column !important;
        gap: 20px !important;
    }
    
    .woocommerce-orders-table.woocommerce-MyAccount-orders.shop_table.shop_table_responsive.my_account_orders.account-orders-table{
        border: none !important;
    }
    
    .woocommerce-orders-table__row.woocommerce-orders-table__row--status-processing.order{
        display: flex;
        flex-direction: column;
        border: 1px solid #cccccc !important;
        gap: 10px !important;
        border-radius: 10px;
    }
    
    .woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions:last-child{
        border-bottom: none !important;
    }
    .woocommerce-orders-table.woocommerce-MyAccount-orders.shop_table.shop_table_responsive.my_account_orders.account-orders-table thead{
        display: none !important;
    }
    
    .woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-number{
        display: block !important;
        font-size: 20px !important;
        font-weight: 600 !important;
    }
    
    .woocommerce-order-details{
        padding: 20px 20px 0px 20px;
    }
    
    
    .woocommerce-orders-table__row.woocommerce-orders-table__row--status-completed.order,
    .woocommerce-orders-table__row.woocommerce-orders-table__row--status-on-hold.order,
    .woocommerce-orders-table__row.woocommerce-orders-table__row--status-failed.order,
    .woocommerce-orders-table__row.woocommerce-orders-table__row--status-refunded.order
    {
        flex-direction: column;
        display: flex;
        border: 1px solid #cccccc;
        border-radius: 10px;
    }
    
    body.woocommerce-account 
    .woocommerce-orders-table tbody tr:last-child th,
    body.woocommerce-account .woocommerce-orders-table tbody tr:last-child td
    {
        border-bottom: 1px solid #cccccc !important;
    }
    
    body.woocommerce-account 
    .woocommerce-orders-table tbody tr:last-child td:last-child {
        border-bottom: none !important;
    }
    
    /*for order received page*/
    .woocommerce-customer-details .woocommerce-columns.woocommerce-columns--2.woocommerce-columns--addresses.col2-set.addresses{
        display: flex;
        flex-direction: column;
        row-gap: 20px;
    }
    
    .woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received{
        font-size: 24px !important;
        padding-top: 20px;
        text-align: center;
    }
}

@media(max-width: 600px){
    .ast-container{
        padding: 20px 20px !important; 
    }
    .woocommerce {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }
    
    .woocommerce-MyAccount-content{
        width: 100% !important;   
    }
    
    .woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-number{
        display: block !important;
        font-size: 20px !important;
        font-weight: 600 !important;
    }
    
    .woocommerce-orders-table.woocommerce-MyAccount-orders.shop_table.shop_table_responsive.my_account_orders.account-orders-table tbody{
        width: 100% !important;
        display: flex;
        flex-direction: column;
        gap: 20px;
    }
    
    .woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions:last-child{
        border-bottom: none !important;
    }
    
    .woocommerce-orders-table.woocommerce-MyAccount-orders.shop_table.shop_table_responsive.my_account_orders.account-orders-table{
        border: none !important;
    }
    
    .woocommerce-orders-table__row.woocommerce-orders-table__row--status-processing.order{
        display: flex;
        flex-direction: column;
        border: 1px solid #cccccc !important;
        gap: 10px !important;
        border-radius: 10px;
    }
    
    .woocommerce-order-details{
        padding: 15px 15px 0px 15px;
    }
    
    .woocommerce-MyAccount-navigation ul {
        display: flex !important;
        flex-direction: row !important;
        gap: 15px !important;
        padding-bottom: 20px !important;
        width: 100%;
    }
    
    woocommerce-orders-table__cell woocommerce-orders-table__cell-order-number:before{
        content: attr(data-title) ": " !important;
        font-weight: 700;
        float: left;
    }
    
    body.woocommerce-account .woocommerce-MyAccount-navigation{
        width: 100% !important;
        border: none !important;
        overflow: auto;
        padding-bottom: 10px;
    }
    
    body.woocommerce-account .woocommerce-MyAccount-navigation li{
        border-radius: 10px;
        border: 1px solid #cccccc !important;
        padding: 10px !important;
        width: max-content;
        flex-grow: 1;
    }
    
    body.woocommerce-account .woocommerce-MyAccount-navigation li a {
        height: 55px;
        overflow-y: auto;
        font-size: 12px !important;
        width: min-content;
    }
    
    body.woocommerce-account .woocommerce-MyAccount-navigation li:last-child{
        border-bottom: 1px solid #cccccc !important;
    }
    
    .woocommerce-orders-table__row.woocommerce-orders-table__row--status-completed.order,
    .woocommerce-orders-table__row.woocommerce-orders-table__row--status-on-hold.order,
    .woocommerce-orders-table__row.woocommerce-orders-table__row--status-failed.order,
    .woocommerce-orders-table__row.woocommerce-orders-table__row--status-refunded.order
    {
        border: 1px solid #cccccc;
        border-radius: 10px;
    }
    
    body.woocommerce-account 
    .woocommerce-orders-table tbody tr:last-child th,
    body.woocommerce-account 
    .woocommerce-orders-table tbody tr:last-child td
    {
        border-bottom: 1px solid #cccccc !important;
    }
    
     body.woocommerce-account 
    .woocommerce-orders-table tbody tr:last-child td:last-child {
        border-bottom: none !important;
    }
    
     /*for order received page*/
    .woocommerce-customer-details .woocommerce-columns.woocommerce-columns--2.woocommerce-columns--addresses.col2-set.addresses{
        display: flex;
        flex-direction: column;
        gap: 20px;
    }
    
     .woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received{
        font-size: 22px !important;
        padding-top: 0px;
        text-align: center;
    }
    
    .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details .woocommerce-order-overview__email.email{
        margin-right: 0 !important;
        padding-right: 0 !important;
        max-width: 80vw;
    }
    
}